<?xml version="1.0" encoding="iso-8859-1"?>

<!-- 
  Please see the license.html file included with this distribution for 
  attribution and copyright information.
-->

<root>
	<windowclass name="item">
		<frame>recordsheet</frame>
		<placement>
			<size width="350" height="400" />
		</placement>
		<sizelimits>
			<minimum width="350" height="400" />
			<dynamic />
		</sizelimits>
		<minimize>minimized_item</minimize>
		<nodelete />
		<playercontrol />
		<sharable />
		<tooltip field="name" />
		<script file="campaign/scripts/item.lua" />
		<sheetdata>
			<sub_record_header name="header">
				<class>item_header</class>
			</sub_record_header>

			<frame_record_content name="contentframe" />

			<subwindow_record name="main">
				<class>item_main</class>
				<activate />
			</subwindow_record>

			<scrollbar_record>
				<target>main</target>
			</scrollbar_record>

			<resize_recordsheet />
			<close_recordsheet />
		</sheetdata>
	</windowclass>
	
	<windowclass name="item_header">
		<margins control="0,0,0,7" />
		<script>
			function onInit()
				update();
			end
			function update()
				local nodeRecord = getDatabaseNode();

				local bReadOnly = WindowManager.getReadOnlyState(nodeRecord);
				name.setReadOnly(bReadOnly);
				nonid_name.setReadOnly(bReadOnly);

				local bID = LibraryData.getIDState("item", nodeRecord);
				name.setVisible(bID);
				nonid_name.setVisible(not bID);
			end
		</script>
		<sheetdata>
			<link_record_header_id name="link">
				<class>item</class>
			</link_record_header_id>

			<anchor_record_header_right name="rightanchor" />
			<button_record_isidentified name="isidentified" />
			<icon_record_locked />
			<button_record_locked />

			<string_record_name_id name="name">
				<empty textres="library_recordtype_empty_item" />
			</string_record_name_id>
			<string_record_name_id name="nonid_name">
				<empty textres="library_recordtype_empty_nonid_item" />
			</string_record_name_id>
		</sheetdata>
	</windowclass>
	
	<windowclass name="item_main">
		<margins control="0,0,0,2" />
		<script file="campaign/scripts/item_main.lua" />
		<sheetdata>
			<anchor_column name="columnanchor" />

			<label_column name="nonid_name_label">
				<static textres="item_label_unidentified" />
			</label_column>
			<string_columnh name="nonid_name" />
			
			<label_column name="nonid_notes_label">
				<static textres="item_label_unidentifiednotes" />
			</label_column>
			<string_columnh name="nonid_notes" />

			<line_column name="divider" />

			<label_column name="cost_label">
				<static textres="item_label_cost" />
			</label_column>
			<string_columnh name="cost" />

			<label_column name="weight_label">
				<static textres="item_label_weight" />
			</label_column>
			<number_columnh name="weight" />

			<line_column name="divider2" />

			<ft_columnh name="notes" />
		</sheetdata>
	</windowclass>
</root>
